library otpview;

import 'package:flutter/material.dart';

String text1='',text2='',text3='',text4='';
String get otp=>'$text1$text2$text3$text4';
class OtpView extends StatelessWidget {
  var focusNode1 = FocusNode();
  var focusNode2 = FocusNode();
  var focusNode3 = FocusNode();
  var focusNode4 = FocusNode();
  bool? obSecure;
  double? fontSize;



  OtpView({Key? key,this.obSecure,this.fontSize}) : super(key: key);



  @override
  Widget build(BuildContext context) {
    return Container(
      margin: const EdgeInsets.all(4),
      child: Row(
        mainAxisAlignment: MainAxisAlignment.center,

        children: [

          SizedBox(
            width: 60,
            child:  TextField(
              maxLength: 1,
              textAlign: TextAlign.center,
              focusNode: focusNode1,
              obscureText: obSecure??true,
              style: TextStyle(
                  fontSize: fontSize??14
              ),
              decoration: const InputDecoration(
                  hintText: '*',
                  counterText: '',
                  border: OutlineInputBorder()
              ),
              onChanged: (value){
                text1=value;
                if(value.length==1){
                  focusNode2.requestFocus();
                }
              },
            ),),

          const SizedBox(width: 4,),
          SizedBox(
            width: 60,child:  TextField(
            maxLength: 1,
            focusNode: focusNode2,
            textAlign: TextAlign.center,
            obscureText: obSecure??true,
            style: TextStyle(
                fontSize: fontSize??14
            ),
            decoration: const InputDecoration(
                hintText: '*',
                counterText: '',
                border: OutlineInputBorder()
            ),
            onChanged: (value){
              text2=value;
              if(value.length==1){

                focusNode3.requestFocus();
              }else{
                focusNode1.requestFocus();
              }
            },
          ),),

          const SizedBox(width: 4,),
          SizedBox(
            width: 60,child:  TextField(
            maxLength: 1,
            focusNode: focusNode3,
            textAlign: TextAlign.center,
            obscureText: obSecure??true,
            style: TextStyle(
                fontSize: fontSize??14
            ),
            decoration: const InputDecoration(
                hintText: '*',
                counterText: '',
                border: OutlineInputBorder()
            ),
            onChanged: (value){
              text3=value;
              if(value.length==1){
                focusNode4.requestFocus();
              }else{
                focusNode2.requestFocus();
              }
            },
          ),),
          const SizedBox(width: 4,),
          SizedBox(
            width: 60,child:  TextField(
            maxLength: 1,
            focusNode: focusNode4,
            textAlign: TextAlign.center,
            obscureText: obSecure??true,
            style: TextStyle(
                fontSize: fontSize??14
            ),
            decoration: const InputDecoration(
                hintText: '*',
                counterText: '',
                border: OutlineInputBorder()
            ),
            onChanged: (value){
              text4=value;
              if(value.isEmpty){
                focusNode3.requestFocus();
              }
            },
          ),),
        ],
      ),
    );
  }
}

